<script lang="ts">
	import { fade } from 'svelte/transition';
	import { isVisitor } from '../../stores/stores';
	import Input from './Input.svelte';
	import Button from './Button.svelte';
	import Select from './Select.svelte';
	import { onMount } from 'svelte';
	import { getCustomerById, updateWallet } from '../../routes/api/customer/customer';
	import { ISO2Currencies, type ISO2Currency } from '../../routes/api/customer/types';
	import { AlertCircleIcon } from 'svelte-feather-icons';

	export let show = false;
	export let title: string;
	export let confirmLabel: string = 'Confirmer';
	export let cancelLabel: string = 'Annuler';
	export let callback: () => void;
	export let loading: boolean = false;

	const closeModal = () => {
		show = false;
	};
</script>

{#if show}
	<div
		class="modal fixed inset-0 flex items-center justify-center bg-dark-surface-500 bg-opacity-40"
		transition:fade
	>
		<div
			class="modal-content bg-light-surface-500 p-8 rounded-lg shadow-lg w-1/3 flex flex-col gap-4"
		>
			<h2 class="text-2xl font-bold mb-4 flex items-center gap-2"><AlertCircleIcon />{title}</h2>

			<slot />
			<div class="flex gap-2 w-full justify-between items-center">
				<Button on:click={closeModal} type="secondary" {loading}>{cancelLabel}</Button>
				<Button on:click={callback} {loading}>{confirmLabel}</Button>
			</div>
		</div>
	</div>
{/if}
